POST
/api/v2/crypto-virtual-accounts/ramp-quotePOST /api/v2/crypto-virtual-accounts/ramp-quote
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| UserId | unknown | No | |
| AccountId | string | No | the crypto on/off-ramp virtual parent account ID used as the source account for the dry-run quote. |
| AccountReference | string | No | |
| CryptoCurrency | string | Yes | Source digital currency discovered from the the crypto on/off-ramp Trading API. |
| FiatCurrency | string | Yes | Target fiat currency. Pricing is returned by the crypto on/off-ramp Quick Trade with dry_run=true and is net of all the crypto on/off-ramp and network fees. |
| CryptoAmount | string | Yes | |
| ChainId | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| buy_currency | string | No | |
| buy_amount | string | No | |
| sell_currency | string | No | |
| sell_amount | string | No | |
| payment_method | string | No | |
| quote_time | string (date-time) | No | |
| expiry | string (date-time) | No | |
| rate | string | No | |
| fees | object | No | |
| quote_amount | string | No | |
| settlement_ccy | string | No | |
| settlement_chain_id | unknown | No | |
| settlement_token_address | string | No | |
| session | string | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/crypto-virtual-accounts/ramp-quote" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"CryptoCurrency":"…","FiatCurrency":"…","CryptoAmount":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.